package com.tencent.liteav.demo.superplayer.ui.player;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.appcompat.widget.LinearLayoutCompat;

import com.tencent.liteav.demo.superplayer.R;

public class TimeOutPlayer extends AbsPlayer implements View.OnClickListener {
    private ImageView backHome;
    private LinearLayoutCompat resumePlay;
    private TextView returnHome;


    public TimeOutPlayer(Context context) {
        this(context, null);
    }

    public TimeOutPlayer(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public TimeOutPlayer(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        initView(context, attrs);
    }

    private void initView(Context context, AttributeSet attrs) {
        LayoutInflater.from(context).inflate(R.layout.superplayer_vod_player_timeout, this);

        backHome = findViewById(R.id.timeout_back);
        resumePlay = findViewById(R.id.timeout_resume);
        returnHome = findViewById(R.id.timeout_return);
    }

    @Override
    public void onClick(View v) {
        final int id = v.getId();

        if (id == R.id.timeout_back || id == R.id.timeout_return) {

        } else if (id == R.id.timeout_resume) {

        }
    }

    @Override
    public void hide() {
        super.hide();
    }

    @Override
    public void show() {
        super.show();
    }
}
